Subject: Re: Common installation, user ID
From: Harold L Hunt II <[email-masked]>
To: Manzoorul Hassan <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jul 2002 11:32:00 -0400

Manzoorul Hassan wrote:
> I would like to install cygwin in a common location (shared directory) 
> so that we can use the same install from all of our machines. Which 
> files (DLLs) should be installed on the individual machines?
> 

Not sure, sorry.

> Also, how do I update the /etc/passwd file to reflect the windows domain 
> users who are going to be logging/using cygwin?
> 

You can run:
mkpasswd -u %USER_NAME% -d >> /etc/passwd

Where you have either replaced %USER_NAME% with the users actual user 
name, or you have found out what platform-specific shell variable to use 
in place of %USER_NAME%.  In Cygwin's bash, this may be the USER shell 
variable, in which case you could always run, from a Cygwin bash prompt:

mkpasswd -u $USER -d >> /etc/passwd

The $USER will be substituted by bash with the user's actual user name.

> Currently, irrespective of the user that I am logged in as, the 'id' 
> command shows that the user is Administrator (and a ls command on any of 
> the file systems shows the owner of the files/dirs to be user=Administ, 
> group=None). Did I miss a setup step?
> 
> I really appreciate all your help.
> 
> -- 
> /\/\anzoor --- [email-masked] --- http://www.intRnauts.com/hassan/
> 
>         Hate always has a reason, Love has none.
> 
> 
> 
> -- 
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/